# Generated by rust2rpm 15
%bcond_without check
%global debug_package %{nil}

%global crate crossbeam-channel

Name:           rust-%{crate}
Version:        0.5.0
Release:        2%{?dist}
Summary:        Multi-producer multi-consumer channels for message passing

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/crossbeam-channel
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Multi-producer multi-consumer channels for message passing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE LICENSE-THIRD-PARTY
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages
which use "crossbeam-utils" feature of "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Test below is just unreliable
# https://github.com/crossbeam-rs/crossbeam/pull/474#issuecomment-589250957
%cargo_test -- -- --skip fairness2 --skip select2::main
%endif

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0.
- Fixes RHBZ#1887297

* Mon Sep 21 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Sun Feb 23 11:25:39 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 11:22:46 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sun Jul 28 20:39:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 11:30:26 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-5
- Regenerate

* Sun Jun 09 00:00:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-4
- Regenerate

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Josh Stone <jistone@redhat.com> - 0.3.8-1
- Update to 0.3.8

* Mon Jan 28 2019 Josh Stone <jistone@redhat.com> - 0.3.7-1
- Update to 0.3.7

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Initial package
